
Infrastructure - Task #1842

Story # 1836 (Closed): Enable CN Replication REST web service handling 

Create a CNReplicationController for proxying replication requests

2011-10-10 20:57 - Chris Jones

Status: Closed Start date: 2011-10-10

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.41-Block.5   

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

Create a CNReplicationControlller that fields replication-specific requests from the CN Rest Service web application and forwards the

requests to the implementing proxy service, in this case Metacat.

History

#1 - 2011-10-10 21:29 - Chris Jones

- Parent task changed from #1841 to #1836

#2 - 2011-10-11 05:21 - Chris Jones

- Status changed from New to Closed

Created the controller in the same fashion as the CNReadController.  Needs testing.
